net.minecraft.util

## Class DamageSource

- java.lang.Object
- - net.minecraft.util.DamageSource

- Direct Known Subclasses:
    EntityDamageSource

      public class DamageSource
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DamageSource` | `anvil`
    `static DamageSource` | `cactus`
    `java.lang.String` | `damageType`
    `static DamageSource` | `drown`
    `static DamageSource` | `fall`
    `static DamageSource` | `fallingBlock`
    `static DamageSource` | `generic`
    `static DamageSource` | `inFire`
    `static DamageSource` | `inWall`
    `static DamageSource` | `lava`
    `static DamageSource` | `magic`
    `static DamageSource` | `onFire`
    `static DamageSource` | `outOfWorld`
    `static DamageSource` | `starve`
    `static DamageSource` | `wither`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DamageSource(java.lang.String par1Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canHarmInCreative()`
    `static DamageSource` | `causeArrowDamage(EntityArrow par0EntityArrow, Entity par1Entity)`
    `static DamageSource` | `causeFireballDamage(EntityFireball par0EntityFireball, Entity par1Entity)`
    `static DamageSource` | `causeIndirectMagicDamage(Entity par0Entity, Entity par1Entity)`
    `static DamageSource` | `causeMobDamage(EntityLivingBase par0EntityLivingBase)`
    `static DamageSource` | `causePlayerDamage(EntityPlayer par0EntityPlayer)`
    `static DamageSource` | `causeThornsDamage(Entity par0Entity)`
    `static DamageSource` | `causeThrownDamage(Entity par0Entity, Entity par1Entity)`
    `IChatComponent` | `func_151519_b(EntityLivingBase p_151519_1_)`
    `java.lang.String` | `getDamageType()`
    `Entity` | `getEntity()`
    `float` | `getHungerDamage()`
    `Entity` | `getSourceOfDamage()`
    `boolean` | `isDamageAbsolute()`
    `boolean` | `isDifficultyScaled()`
    `boolean` | `isExplosion()`
    `boolean` | `isFireDamage()`
    `boolean` | `isMagicDamage()`
    `boolean` | `isProjectile()`
    `boolean` | `isUnblockable()`
    `DamageSource` | `setDamageAllowedInCreativeMode()`
    `DamageSource` | `setDamageBypassesArmor()`
    `DamageSource` | `setDamageIsAbsolute()`
    `DamageSource` | `setDifficultyScaled()`
    `DamageSource` | `setExplosion()`
    `static DamageSource` | `setExplosionSource(Explosion par0Explosion)`
    `DamageSource` | `setFireDamage()`
    `DamageSource` | `setMagicDamage()`
    `DamageSource` | `setProjectile()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inFire

          public static DamageSource inFire

    - #### onFire

          public static DamageSource onFire

    - #### lava

          public static DamageSource lava

    - #### inWall

          public static DamageSource inWall

    - #### drown

          public static DamageSource drown

    - #### starve

          public static DamageSource starve

    - #### cactus

          public static DamageSource cactus

    - #### fall

          public static DamageSource fall

    - #### outOfWorld

          public static DamageSource outOfWorld

    - #### generic

          public static DamageSource generic

    - #### magic

          public static DamageSource magic

    - #### wither

          public static DamageSource wither

    - #### anvil

          public static DamageSource anvil

    - #### fallingBlock

          public static DamageSource fallingBlock

    - #### damageType

          public java.lang.String damageType

  - ### Constructor Detail

    - #### DamageSource

          public DamageSource(java.lang.String par1Str)

  - ### Method Detail

    - #### causeMobDamage

          public static DamageSource causeMobDamage(EntityLivingBase par0EntityLivingBase)

    - #### causePlayerDamage

          public static DamageSource causePlayerDamage(EntityPlayer par0EntityPlayer)

    - #### causeArrowDamage

          public static DamageSource causeArrowDamage(EntityArrow par0EntityArrow,
                                      Entity par1Entity)

    - #### causeFireballDamage

          public static DamageSource causeFireballDamage(EntityFireball par0EntityFireball,
                                         Entity par1Entity)

    - #### causeThrownDamage

          public static DamageSource causeThrownDamage(Entity par0Entity,
                                       Entity par1Entity)

    - #### causeIndirectMagicDamage

          public static DamageSource causeIndirectMagicDamage(Entity par0Entity,
                                              Entity par1Entity)

    - #### causeThornsDamage

          public static DamageSource causeThornsDamage(Entity par0Entity)

    - #### setExplosionSource

          public static DamageSource setExplosionSource(Explosion par0Explosion)

    - #### isProjectile

          public boolean isProjectile()

    - #### setProjectile

          public DamageSource setProjectile()

    - #### isExplosion

          public boolean isExplosion()

    - #### setExplosion

          public DamageSource setExplosion()

    - #### isUnblockable

          public boolean isUnblockable()

    - #### getHungerDamage

          public float getHungerDamage()

    - #### canHarmInCreative

          public boolean canHarmInCreative()

    - #### isDamageAbsolute

          public boolean isDamageAbsolute()

    - #### getSourceOfDamage

          public Entity getSourceOfDamage()

    - #### getEntity

          public Entity getEntity()

    - #### setDamageBypassesArmor

          public DamageSource setDamageBypassesArmor()

    - #### setDamageAllowedInCreativeMode

          public DamageSource setDamageAllowedInCreativeMode()

    - #### setDamageIsAbsolute

          public DamageSource setDamageIsAbsolute()

    - #### setFireDamage

          public DamageSource setFireDamage()

    - #### func_151519_b

          public IChatComponent func_151519_b(EntityLivingBase p_151519_1_)

    - #### isFireDamage

          public boolean isFireDamage()

    - #### getDamageType

          public java.lang.String getDamageType()

    - #### setDifficultyScaled

          public DamageSource setDifficultyScaled()

    - #### isDifficultyScaled

          public boolean isDifficultyScaled()

    - #### isMagicDamage

          public boolean isMagicDamage()

    - #### setMagicDamage

          public DamageSource setMagicDamage()